{ sources ? import ./npins, pkgs ? import sources.nixpkgs { } }:
{
  package = pkgs.buildGoModule {
    name = "systemd-openbaod";
    src = ./.;
    vendorHash = null;
    meta = with pkgs.lib; {
      description = "A proxy for secrets between systemd services and openbao";
      homepage = "https://git.newtype.fr/ryan/systemd-openbaod";
      license = licenses.mit;
      maintainers = with maintainers; [ raitobezarius ];
      platforms = platforms.unix;
    };
  };

  nixosModules = {
    openbaoAgent = ./nix/modules/openbao-agent.nix;
    systemdOpenBaod = ./nix/modules/systemd-openbaod.nix;
  };

  shell = pkgs.mkShellNoCC {
    buildInputs = with pkgs; [
      python3.pkgs.pytest
      python3.pkgs.mypy

      golangci-lint
      # OpenBao
      (callPackage ./nix/package.nix { })
      systemd
      hivemind
      go
      just
    ];
  };
}
